Unify and manage your data

List hierarchy versions for an object

Learn more about how to use the List hierarchy versions API to return the versions of a hierarchy that include an object.

Use the List hierarchy versions to retrieve the list of hierarchies in which a specified object participates, without version details. This operation requires the MDM.Data.Hierarchy permission with the READ privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

GET https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/objects/{entityId}/list/{hierarchyId}

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

This operation does not require a request body.

Example request

Use the following example to see how a complete request is structured with headers.

GET /objects/{entityId}/list/{hierarchyId}
Authorization: Bearer <token>

Response fields

The following table describes the fields returned in the response body.

FieldTypeDescription
versionIdStringThe version ID.
nameStringThe name of the version.

Example response

The following example shows the response body.

[
  {
    "versionId": "version1",
    "name": "Version 1"
  },
  {
    "versionId": "version2",
    "name": "Version 2"
  }
]